package b4i.anywheresoftware.iLblCustomButton;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class b4i_main_subs_0 {


public static RemoteObject  _application_background() throws Exception{
try {
		Debug.PushSubsStack("Application_Background (main) ","main",0,b4i_main.ba,b4i_main.mostCurrent,46);
if (RapidSub.canDelegate("application_background")) return b4i_main.remoteMe.runUserSub(false, "main","application_background");
 BA.debugLineNum = 46;BA.debugLine="Private Sub Application_Background";
Debug.ShouldStop(8192);
 BA.debugLineNum = 48;BA.debugLine="End Sub";
Debug.ShouldStop(32768);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _application_start(RemoteObject _nav) throws Exception{
try {
		Debug.PushSubsStack("Application_Start (main) ","main",0,b4i_main.ba,b4i_main.mostCurrent,28);
if (RapidSub.canDelegate("application_start")) return b4i_main.remoteMe.runUserSub(false, "main","application_start", _nav);
Debug.locals.put("Nav", _nav);
 BA.debugLineNum = 28;BA.debugLine="Private Sub Application_Start (Nav As NavigationCo";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 29;BA.debugLine="NavControl = Nav";
Debug.ShouldStop(268435456);
b4i_main._navcontrol = _nav;
 BA.debugLineNum = 30;BA.debugLine="Page1.Initialize(\"Page1\")";
Debug.ShouldStop(536870912);
b4i_main._page1.runVoidMethod ("Initialize::",b4i_main.ba,(Object)(RemoteObject.createImmutable("Page1")));
 BA.debugLineNum = 31;BA.debugLine="Page1.Title = \"Page 1\"";
Debug.ShouldStop(1073741824);
b4i_main._page1.runMethod(true,"setTitle:",BA.ObjectToString("Page 1"));
 BA.debugLineNum = 32;BA.debugLine="Page1.RootPanel.Color = Colors.White";
Debug.ShouldStop(-2147483648);
b4i_main._page1.runMethod(false,"RootPanel").runMethod(true,"setColor:",b4i_main.__c.runMethod(false,"Colors").runMethod(true,"White"));
 BA.debugLineNum = 33;BA.debugLine="Page1.RootPanel.LoadLayout(\"Main\")";
Debug.ShouldStop(1);
b4i_main._page1.runMethod(false,"RootPanel").runMethodAndSync(false,"LoadLayout::",(Object)(RemoteObject.createImmutable("Main")),b4i_main.ba);
 BA.debugLineNum = 34;BA.debugLine="NavControl.ShowPage(Page1)";
Debug.ShouldStop(2);
b4i_main._navcontrol.runVoidMethod ("ShowPage:",(Object)(((b4i_main._page1).getObject())));
 BA.debugLineNum = 36;BA.debugLine="cbtTest10.Initialize(Me, \"cbtTest\")";
Debug.ShouldStop(8);
b4i_main._cbttest10.runVoidMethod ("_initialize:::",b4i_main.ba,(Object)(b4i_main.getObject()),(Object)(RemoteObject.createImmutable("cbtTest")));
 BA.debugLineNum = 37;BA.debugLine="cbtTest10.IconFont = lblDummy.Font";
Debug.ShouldStop(16);
b4i_main._cbttest10.runVoidMethod ("_seticonfont:",b4i_main._lbldummy.runMethod(false,"Font"));
 BA.debugLineNum = 38;BA.debugLine="cbtTest10.AddToParent(Page1.RootPanel, 20, 250, 6";
Debug.ShouldStop(32);
b4i_main._cbttest10.runVoidMethod ("_addtoparent::::::::",(Object)(b4i_main._page1.runMethod(false,"RootPanel")),(Object)(BA.numberCast(int.class, 20)),(Object)(BA.numberCast(int.class, 250)),(Object)(BA.numberCast(int.class, 60)),(Object)(BA.numberCast(int.class, 60)),(Object)(b4i_main.__c.runMethod(false,"Colors").runMethod(true,"RGB:::",(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 139)))),(Object)(BA.CharToString(b4i_main.__c.runMethod(true,"Chr:",(Object)(BA.numberCast(int.class, 0xe05c))))),(Object)(RemoteObject.createImmutable("Test 10")));
 BA.debugLineNum = 39;BA.debugLine="cbtTest10.Tag = 10";
Debug.ShouldStop(64);
b4i_main._cbttest10.runMethod(false,"_settag:",RemoteObject.createImmutable((10)));
 BA.debugLineNum = 40;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _cbttest_click() throws Exception{
try {
		Debug.PushSubsStack("cbtTest_Click (main) ","main",0,b4i_main.ba,b4i_main.mostCurrent,50);
if (RapidSub.canDelegate("cbttest_click")) return b4i_main.remoteMe.runUserSub(false, "main","cbttest_click");
RemoteObject _cbt = RemoteObject.declareNull("b4i_custombutton");
RemoteObject _index = RemoteObject.createImmutable(0);
 BA.debugLineNum = 50;BA.debugLine="Private Sub cbtTest_Click";
Debug.ShouldStop(131072);
 BA.debugLineNum = 51;BA.debugLine="Private cbt As CustomButton";
Debug.ShouldStop(262144);
_cbt = RemoteObject.createNew("b4i_custombutton");Debug.locals.put("cbt", _cbt);
 BA.debugLineNum = 52;BA.debugLine="Private Index As Int";
Debug.ShouldStop(524288);
_index = RemoteObject.createImmutable(0);Debug.locals.put("Index", _index);
 BA.debugLineNum = 54;BA.debugLine="cbt = Sender";
Debug.ShouldStop(2097152);
_cbt = (b4i_main.__c.runMethod(false,"Sender:",b4i_main.ba));Debug.locals.put("cbt", _cbt);
 BA.debugLineNum = 55;BA.debugLine="Index = cbt.Tag";
Debug.ShouldStop(4194304);
_index = BA.numberCast(int.class, _cbt.runMethod(false,"_gettag"));Debug.locals.put("Index", _index);
 BA.debugLineNum = 57;BA.debugLine="Select Index";
Debug.ShouldStop(16777216);
switch (BA.switchObjectToInt(_index,BA.numberCast(int.class, 1),BA.numberCast(int.class, 2),BA.numberCast(int.class, 10))) {
case 0: {
 BA.debugLineNum = 59;BA.debugLine="Log(\"cbtTest1_Click\")";
Debug.ShouldStop(67108864);
b4i_main.__c.runVoidMethod ("Log:",(Object)(RemoteObject.createImmutable("cbtTest1_Click")));
 break; }
case 1: {
 BA.debugLineNum = 61;BA.debugLine="Log(\"cbtTest2_Click\")";
Debug.ShouldStop(268435456);
b4i_main.__c.runVoidMethod ("Log:",(Object)(RemoteObject.createImmutable("cbtTest2_Click")));
 break; }
case 2: {
 BA.debugLineNum = 63;BA.debugLine="Log(\"cbtTest10_Click\")";
Debug.ShouldStop(1073741824);
b4i_main.__c.runVoidMethod ("Log:",(Object)(RemoteObject.createImmutable("cbtTest10_Click")));
 break; }
default: {
 BA.debugLineNum = 65;BA.debugLine="Log(\"cbtTest\" & Index & \"_Click\")";
Debug.ShouldStop(1);
b4i_main.__c.runVoidMethod ("Log:",(Object)(RemoteObject.concat(RemoteObject.createImmutable("cbtTest"),_index,RemoteObject.createImmutable("_Click"))));
 break; }
}
;
 BA.debugLineNum = 67;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _cbttest_longclick() throws Exception{
try {
		Debug.PushSubsStack("cbtTest_LongClick (main) ","main",0,b4i_main.ba,b4i_main.mostCurrent,69);
if (RapidSub.canDelegate("cbttest_longclick")) return b4i_main.remoteMe.runUserSub(false, "main","cbttest_longclick");
RemoteObject _cbt = RemoteObject.declareNull("b4i_custombutton");
RemoteObject _index = RemoteObject.createImmutable(0);
 BA.debugLineNum = 69;BA.debugLine="Private Sub cbtTest_LongClick";
Debug.ShouldStop(16);
 BA.debugLineNum = 70;BA.debugLine="Private cbt As CustomButton";
Debug.ShouldStop(32);
_cbt = RemoteObject.createNew("b4i_custombutton");Debug.locals.put("cbt", _cbt);
 BA.debugLineNum = 71;BA.debugLine="Private Index As Int";
Debug.ShouldStop(64);
_index = RemoteObject.createImmutable(0);Debug.locals.put("Index", _index);
 BA.debugLineNum = 73;BA.debugLine="cbt = Sender";
Debug.ShouldStop(256);
_cbt = (b4i_main.__c.runMethod(false,"Sender:",b4i_main.ba));Debug.locals.put("cbt", _cbt);
 BA.debugLineNum = 74;BA.debugLine="Index = cbt.Tag";
Debug.ShouldStop(512);
_index = BA.numberCast(int.class, _cbt.runMethod(false,"_gettag"));Debug.locals.put("Index", _index);
 BA.debugLineNum = 76;BA.debugLine="Select Index";
Debug.ShouldStop(2048);
switch (BA.switchObjectToInt(_index,BA.numberCast(int.class, 1),BA.numberCast(int.class, 2),BA.numberCast(int.class, 10))) {
case 0: {
 BA.debugLineNum = 78;BA.debugLine="Log(\"cbtTest1_LongClick\")";
Debug.ShouldStop(8192);
b4i_main.__c.runVoidMethod ("Log:",(Object)(RemoteObject.createImmutable("cbtTest1_LongClick")));
 break; }
case 1: {
 BA.debugLineNum = 80;BA.debugLine="Log(\"cbtTest2_LongClick\")";
Debug.ShouldStop(32768);
b4i_main.__c.runVoidMethod ("Log:",(Object)(RemoteObject.createImmutable("cbtTest2_LongClick")));
 break; }
case 2: {
 BA.debugLineNum = 82;BA.debugLine="Log(\"cbtTest10_LongClick\")";
Debug.ShouldStop(131072);
b4i_main.__c.runVoidMethod ("Log:",(Object)(RemoteObject.createImmutable("cbtTest10_LongClick")));
 break; }
default: {
 BA.debugLineNum = 84;BA.debugLine="Log(\"cbtTest\" & Index & \"_LongClick\")";
Debug.ShouldStop(524288);
b4i_main.__c.runVoidMethod ("Log:",(Object)(RemoteObject.concat(RemoteObject.createImmutable("cbtTest"),_index,RemoteObject.createImmutable("_LongClick"))));
 break; }
}
;
 BA.debugLineNum = 86;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _page1_resize(RemoteObject _width,RemoteObject _height) throws Exception{
try {
		Debug.PushSubsStack("Page1_Resize (main) ","main",0,b4i_main.ba,b4i_main.mostCurrent,42);
if (RapidSub.canDelegate("page1_resize")) return b4i_main.remoteMe.runUserSub(false, "main","page1_resize", _width, _height);
Debug.locals.put("Width", _width);
Debug.locals.put("Height", _height);
 BA.debugLineNum = 42;BA.debugLine="Private Sub Page1_Resize(Width As Int, Height As I";
Debug.ShouldStop(512);
 BA.debugLineNum = 44;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 17;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 20;BA.debugLine="Public App As Application";
b4i_main._app = RemoteObject.createNew("B4IApplicationWrapper");
 //BA.debugLineNum = 21;BA.debugLine="Public NavControl As NavigationController";
b4i_main._navcontrol = RemoteObject.createNew("B4INavigationControllerWrapper");
 //BA.debugLineNum = 22;BA.debugLine="Private Page1 As Page";
b4i_main._page1 = RemoteObject.createNew("B4IPage");
 //BA.debugLineNum = 24;BA.debugLine="Private cbtTest10 As CustomButton";
b4i_main._cbttest10 = RemoteObject.createNew("b4i_custombutton");
 //BA.debugLineNum = 25;BA.debugLine="Private lblDummy As Label";
b4i_main._lbldummy = RemoteObject.createNew("B4ILabelWrapper");
 //BA.debugLineNum = 26;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}